#
# spec file for package apache2-mod_jk (Version 4.1.30)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl apache2 apache2-devel apache2-prefork attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv java-1_5_0-sun java-1_5_0-sun-devel jpackage-utils klogd less libacl libapr-util1 libapr-util1-devel libapr1 libapr1-devel libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++-devel libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-alternatives util-linux vim xorg-x11-libICE xorg-x11-libSM xorg-x11-libX11 xorg-x11-libXau xorg-x11-libXdmcp xorg-x11-libXext xorg-x11-libXfixes xorg-x11-libXmu xorg-x11-libXp xorg-x11-libXpm xorg-x11-libXprintUtil xorg-x11-libXrender xorg-x11-libXt xorg-x11-libXv xorg-x11-libfontenc xorg-x11-libs xorg-x11-libxkbfile zlib zlib-devel


Name:           apache2-mod_jk
BuildRequires:  apache2-devel java-1_5_0-sun-devel pcre-devel unzip update-alternatives
%define section        free
%define       connectors_root  		jakarta-tomcat-connectors-4.1.30-src
%define       apache2_sysconfdir        %(/usr/sbin/apxs2 -q SYSCONFDIR)
%define       apache2_libexecdir        %(/usr/sbin/apxs2 -q LIBEXECDIR)
%define       apache_mmn                %(MMN=$(/usr/sbin/apxs -q LIBEXECDIR)/MMN; test -x $MMN && $MMN)
%define       apache2_mmn               %(MMN=$(/usr/sbin/apxs2 -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
%define       apache_cflags             %(/usr/sbin/apxs -q CFLAGS)
%define       apache2_cflags            %(/usr/sbin/apxs2 -q CFLAGS)
Summary:        Connectors between Apache and Tomcat Servlet Container
Version:        4.1.30
Release:        13.6
License:        Other License(s), see package
Group:          Productivity/Networking/Web/Frontends
Requires:       apache2 %{apache_mmn} 
Provides:       mod_jk = %{version}-%{release}
Provides:       mod_jk-ap20
Provides:       mod_jk-ap20:/usr/%_lib/apache2/mod_jk.so
Obsoletes:      mod_jk-ap20
Obsoletes:      tomcat-mod
Url:            http://jakarta.apache.org
Source0:        jakarta-tomcat-connectors-4.1.30-src.tar.bz2
#Source2:      jakarta-tomcat-addons.tar.gz
Source5:        jk.conf
Source6:        README.SUSE
Patch10:        jakarta-tomcat-connectors-4.1.30-src.patch
Patch11:        jakarta-tomcat-connectors-4.1.30-src-alpha.patch
Patch12:        jakarta-tomcat-connectors-4.1.30-src-cflags.patch
Patch13:        jakarta-tomcat-connectors-4.1.30-src-deprec.patch
Patch14:        jakarta-tomcat-connectors-4.1.30-src-ldflags.patch
Patch20:        jakarta-tomcat-connectors-4.1.30-src-libapr1.patch
Patch21:        jakarta-tomcat-connectors-4.1.30-src-includes.patch
Patch22:        jakarta-tomcat-connectors-CVE-2007-1860.patch
Patch23:        jakarta-tomcat-connectors-CVE-2005-2090.patch
Patch24:        jakarta-tomcat-connectors-CVE-2007-5333.patch
Patch25:        jakarta-tomcat-connectors-CVE-2007-1858.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides modules for Apache to invisibly integrate Tomcat
capabilities into an existing Apache installation.

To load the module into Apache, run the command "a2enmod jk" as root.



Authors:
--------
    Hans Bergsten <hans@gefionsoftware.com>
    James Duncan <Davidson duncan@x180.com>
    Pierpaolo Fumagalli <pier@apache.org>
    Craig McClanahan <cmcclanahan@mytownnet.com>
    Sam Ruby <rubys@us.ibm.com>
    Jon Stevens <jon@clearink.com>
    Anil Vijendran <akv@eng.sun.com>
    Brian Behlendorf <brian@behlendorf.com>
    Kevin Burton <burton@relativity.yi.org>
    Danno Ferrin <shemnon@earthlink.net>
    Jason Hunter <jh@servlets.com>
    Ramesh Mandava <rmandava@talentportal.com>
    Stefano Mazzocchi <stefano@apache.org>
    Rajiv Mordani <mode@chinet.com>
    Harish Prabhandham <harishp@onebox.com>
    Jean-Luc Rochat <shachor@il.ibm.com>
    James Todd <jwtodd@pacbell.net>

%debug_package
%prep
%setup -q -n %{connectors_root}
%patch10 -p1
%patch11 -p1
%patch12
%patch13 -p1
%patch14 -p1
%patch20 -p1
%patch21 -p1
%patch22
%patch23
%patch24
%patch25

%build
# prepare apr
export APACHE2_CFLAGS="%apache2_cflags"
cd $RPM_BUILD_DIR/%{connectors_root}/jk/native
sh buildconf.sh
rm -rf autom4te.cache
CFLAGS="%{apache2_cflags} -I/usr/include/apr-1" \
./configure --with-apxs=/usr/sbin/apxs2 \
        --enable-EAPI
make clean
make

%install
# AJP Connector jk
install -d -m 755 $RPM_BUILD_ROOT%{apache2_libexecdir}
pushd $RPM_BUILD_DIR/%{connectors_root}/jk
install -m 755 native/apache-2.0/.libs/mod_jk.so $RPM_BUILD_ROOT%{apache2_libexecdir}/
popd
cp %{SOURCE5} .
cp %{SOURCE6} .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE README.SUSE
#mod_jk.conf.sample workers.properties.sample
%doc jk/native/CHANGES.txt
%doc jk/conf/workers.properties
%doc jk.conf
%{apache2_libexecdir}/*
#%files manual
#%defattr(0644,root,root,0755)
##%doc jk/docs/*
#%files tools
#%defattr(-,root,root,-)
##%doc jk/tools/reports/README.txt
#%{_bindir}/*
#

%changelog
* Tue Mar 04 2008 - mvyskocil@suse.cz
- fix CVE-2007-1859: VUL-0: tomcat: bad SSL cipher usage
  [#bnc274242]
* Tue Feb 19 2008 - mvyskocil@suse.cz
- fix the CVE-2007-5333: Tomcat Cookie handling vulnerabilities
  [bnc#360502]
* Mon Feb 04 2008 - mvyskocil@suse.cz
- fix the CVE-2005-2090: tomcat HTTP Request Smuggling [bnc#352839]
* Wed Dec 12 2007 - skh@suse.de
- fix CVE-2007-1860: directory traversal [bnc #279413]
* Mon Oct 23 2006 - poeml@suse.de
- rename from mod_jk (name of source rpm) resp. mod_jk-ap20 (name
  of binary rpm) to apache2-mod_jk
* Tue Feb 07 2006 - poeml@suse.de
- remove apr_sockaddr_port_get() call which is obsolete in libapr 1
- fix missing include
- bzip2 the source tarball
* Mon Jan 30 2006 - poeml@suse.de
- removed libapr-util1-devel from BuildRequires (apache2-devel does
  require it)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - poeml@suse.de
- make the package depend on the apache module API version
* Thu Jan 19 2006 - cthiel@suse.de
- removed unneeded sources
  * apr-util-0.9.4.tar.gz
  * apr_20030819101622.tar.bz2
  * apr_20030819101622-apache2_cflags.patch
  * apr_20030819101622.patch
- fixed build
* Tue Nov 08 2005 - dmueller@suse.de
- don't build as root
* Wed Sep 29 2004 - skh@suse.de
- Added better documentation and sample configuration (#46081)
* Mon Sep 13 2004 - skh@suse.de
- First separate package (no longer a subpackage of tomcat)
- Switch to JPackage package layout, but keep newer version 4.1.30 from
  former package apache2-jakarta-tomcat-connectors
